#!/usr/bin/python3 -i

import serial

DEV="/dev/ttyUSB0"


try:
   cmdcom = serial.Serial( port=DEV, baudrate=9600, parity=serial.PARITY_ODD )
except:
   print( "Cannot open interface \""+DEV+"\"!" )
   exit(1)

cmdcom.reset_input_buffer()
cmdcom.reset_output_buffer()

chn_dict = {}
for ch1 in range(9):
   for ch2 in ( range(4) if ch1 < 8 else range(6) ):
      chn_dict[ (4*ch1) + ch2 ] = "{0:02}{1:X}".format(5+ch1,10+ch2)


def tune_channel( ch ):
   cmdcom.write( [ 0x3f & ch ] )

def tune_subchannel( subch ):
   cmdcom.write( [ 0x80 | (0x3f & subch) ] )

def tune( ch, subch ):
   try:
      print( "tune to "+chn_dict[ch]+".{0:02}".format(subch) )
      cmdcom.write( [ 0x3f & ch, 0x80 | (0x3f & subch) ] )
   except:
      print( "cannot tune" )

def terminate():
   cmdcom.write( [ 0xff ] )

